Bug 510159 - firefox crash in libcanberra, possibly related to: "Assertion 'out->clean_up' failed at pulse.c:593, function stream_drain_cb()."
firefox crash in libcanberra, possibly related to: "Assertion 'out->clean_up'...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libcanberra (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 18:28 EDT by Tom London
Modified: 2009-08-05 10:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-05 10:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-07-07 18:28:15 EDT
Description of problem:
I'm seeing firefox crashes frequently (say, once a day or so).

Core dumps indicate libcanberra.  (Sorry if I'm filing against the wrong component):

Core was generated by `/usr/lib64/firefox-3.5/firefox'.
Program terminated with signal 6, Aborted.
#0  0x00000038f860eefb in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
42				 sig);
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.5.0-1.fc12.x86_64 gtk2-2.17.3-1.fc12.x86_64 hunspell-1.2.8-8.fc12.x86_64 libX11-1.2.1-3.fc12.x86_64 libsndfile-1.0.20-1.fc12.x86_64 pulseaudio-libs-0.9.16-2.test2.fc12.x86_64
(gdb) where
#0  0x00000038f860eefb in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x000000390a676b8a in nsProfileLock::FatalSignalHandler (signo=6)
    at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x00000038f7e33445 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#4  0x00000038f7e34c45 in *__GI_abort () at abort.c:92
#5  0x00007f94de5fcc53 in stream_drain_cb (s=<value optimized out>, success=1, 
    userdata=0x7f94daf867e0) at pulse.c:588
#6  0x00007f94de5fefa0 in __PRETTY_FUNCTION__.8041 ()
   from /usr/lib64/libcanberra-0.14/libcanberra-pulse.so
#7  0x00007f94de17a69f in pa_run_once ()
   from /usr/lib64/libpulsecommon-0.9.16.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
Current language:  auto; currently minimal
(gdb) 

See this in ~/.xsession-errors:

Assertion 'out->clean_up' failed at pulse.c:593, function stream_drain_cb(). Aborting.
/usr/lib64/firefox-3.5/run-mozilla.sh: line 131:  2202 Aborted                 (core dumped) "$prog" ${1+"$@"}


Version-Release number of selected component (if applicable):
pulseaudio-libs-glib2-0.9.16-2.test2.fc12.x86_64
pulseaudio-module-bluetooth-0.9.16-2.test2.fc12.x86_64
libcanberra-0.14-2.fc12.x86_64
pulseaudio-module-x11-0.9.16-2.test2.fc12.x86_64
pulseaudio-libs-0.9.16-2.test2.fc12.x86_64
pulseaudio-debuginfo-0.9.16-2.test2.fc12.x86_64
libcanberra-debuginfo-0.14-2.fc12.x86_64
pulseaudio-utils-0.9.16-2.test2.fc12.x86_64
pulseaudio-module-gconf-0.9.16-2.test2.fc12.x86_64
firefox-3.5-1.fc12.x86_64
pulseaudio-0.9.16-2.test2.fc12.x86_64
libcanberra-gtk2-0.14-2.fc12.x86_64


How reproducible:
Frequent, but not easily reproducible

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-07-08 12:00:08 EDT
Here is another.  Looks similar:

Core was generated by `/usr/lib64/firefox-3.5/firefox'.
Program terminated with signal 6, Aborted.
#0  0x00000038f860eefb in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
42				 sig);
(gdb) where
#0  0x00000038f860eefb in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x000000390a676b8a in nsProfileLock::FatalSignalHandler (signo=6)
    at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x00000038f7e33445 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#4  0x00000038f7e34c45 in *__GI_abort () at abort.c:92
#5  0x00007fde3a4e7c53 in stream_drain_cb (s=<value optimized out>, success=1, 
    userdata=0x7fde31ecd970) at pulse.c:588
#6  0x00007fde3a4e9fa0 in __PRETTY_FUNCTION__.8041 ()
   from /usr/lib64/libcanberra-0.14/libcanberra-pulse.so
#7  0x00007fde3a06569f in pa_run_once (control=Cannot access memory at address 0xfffffffffffffffb
) at pulsecore/once.c:91
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
Current language:  auto; currently minimal
(gdb) 

Messages in ~/.xsession-errors:

Assertion 'out->clean_up' failed at pulse.c:593, function stream_drain_cb(). Aborting.
/usr/lib64/firefox-3.5/run-mozilla.sh: line 131:  2033 Aborted                 (core dumped) "$prog" ${1+"$@"}
Comment 2 Lennart Poettering 2009-07-28 19:40:49 EDT
Also see:

https://bugs.freedesktop.org/show_bug.cgi?id=21225
Comment 3 Lennart Poettering 2009-08-05 10:16:34 EDT
Fixed in 0.15-2.

Note You need to log in before you can comment on or make changes to this bug.